com.avaya.ccs.api.enums

## Enum NotificationType

- java.lang.Object
- - java.lang.Enum<NotificationType>
  - - com.avaya.ccs.api.enums.NotificationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotificationType>

      public enum NotificationType
      extends java.lang.Enum<NotificationType>

  The `NotificationType` enum represents the defined types of notifications that can be received by a client application.

  The `NotificationType` value is sent to the applcation within a `NotificationEventI` object through the listener interfaces. It identifies what type of notification the `NotificationEventI` represents.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` Indicates that a `NotificationEventI` is being sent to notify the application that an existing object has been deleted.
    `ERROR` Indicates that a `NotificationEventI` is being sent to notify the application that a request invoked on an object has failed with an error.
    `NEW` Indicates that a `NotificationEventI` is being sent to notify the application of a newly created object.
    `OPEN` A special type of `NotificationEventI` which indicates that a `MediaI` channel has been opened for a multimedia `InteractionI`.
    `RESPONSE` Indicates that a `NotificationEventI` is being sent to carry requested data to the application.
    `UNKNOWN`
    `UPDATE` Indicates that a `NotificationEventI` is being sent to notify the application of an update to an existing object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotificationType` | `get(java.lang.String typeName)`
    `static NotificationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotificationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final NotificationType NEW

      Indicates that a `NotificationEventI` is being sent to notify the application of a newly created object.

    - #### UPDATE

          public static final NotificationType UPDATE

      Indicates that a `NotificationEventI` is being sent to notify the application of an update to an existing object.

    - #### DELETE

          public static final NotificationType DELETE

      Indicates that a `NotificationEventI` is being sent to notify the application that an existing object has been deleted.

    - #### ERROR

          public static final NotificationType ERROR

      Indicates that a `NotificationEventI` is being sent to notify the application that a request invoked on an object has failed with an error.

    - #### RESPONSE

          public static final NotificationType RESPONSE

      Indicates that a `NotificationEventI` is being sent to carry requested data to the application.

    - #### OPEN

          public static final NotificationType OPEN

      A special type of `NotificationEventI` which indicates that a `MediaI` channel has been opened for a multimedia `InteractionI`.

    - #### UNKNOWN

          public static final NotificationType UNKNOWN

  - ### Method Detail

    - #### values

          public static NotificationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotificationType c : NotificationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotificationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static NotificationType get(java.lang.String typeName)